Subject: Re: bug#24806: macOS stack trace

From: Alan Third <[email-masked]>
Date: Sun, 27 Nov 2016 17:15:39 +0000

Paul Eggert <[email-masked]> writes:

> [This message from Burton was originally sent to emacs-devel; I'm
> copying it to bug-gnu-emacs to give it a proper bug number and a
> separate thread.]
>
> Hi,
>
> I’m using the current emacs-25 tag/branch and under “normal” use got
> the following crash stack trace:
>
<snip>
>
> Exception Type:        EXC_CRASH (SIGABRT)
> Exception Codes:       0x0000000000000000, 0x0000000000000000
> Exception Note:        EXC_CORPSE_NOTIFY
>

> 14  libobjc.A.dylib                   0x00007fffadbc5fbf (anonymous
> namespace)::AutoreleasePoolPage::pop(void*) + 1087
> 15  com.apple.CoreFoundation          0x00007fff9942d496
> _CFAutoreleasePoolPop + 22
> 16  com.apple.Foundation              0x00007fff9ae6b8f0
> -[NSAutoreleasePool release] + 146
> 17  org.gnu.Emacs                     0x00000001001bd55f pop_down_menu
> + 79 (nsmenu.m:1447)

I believe this is fixed in master. I removed the autorelease pool as it
didn't seem to be doing what it was supposed to be doing.

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=23856
-- 
Alan Third